DbEnv::set_mp_tablesize()
Prev | Chapter 9. The DbMpoolFile Handle | Next

## DbEnv::set_mp_tablesize()

    #include <db_cxx.h>

    int
    DbEnv::set_mp_tablesize(u_int32_t tablesize);

The `DbEnv::set_mp_tablesize()` method overrides the calculated hash tablesize. Tablesize is adjusted to a near prime number to enhance the hashing algorithm.

You must call this method only before the environment is opened.

### Parameters

#### tablesize

The tablesize parameter specifies the size of the buffer pool hash table. It is adjusted to a near prime number to enhance the hashing algorithm.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods, DbEnv::get_mp_tablesize()

Prev | Up | Next
DbEnv::set_mp_pagesize() | Home | DbMpoolFile::close()